Package org.drinkless.tdlib

# Class TdApi.PushMessageContentChatSetTheme

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PushMessageContent
org.drinkless.tdlib.TdApi.PushMessageContentChatSetTheme

Enclosing class:
  TdApi

public static class TdApi.PushMessageContentChatSetTheme extends TdApi.PushMessageContent
A chat theme was edited.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PushMessageContent

  `TdApi.PushMessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `themeName`
  If non-empty, name of a new theme, set for the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushMessageContentChatSetTheme()`
  A chat theme was edited.
  `PushMessageContentChatSetTheme(String themeName)`
  A chat theme was edited.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### themeName

    public String themeName
    If non-empty, name of a new theme, set for the chat. Otherwise, the chat theme was reset to the default one.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PushMessageContentChatSetTheme

    public PushMessageContentChatSetTheme()
    A chat theme was edited.

  - ### PushMessageContentChatSetTheme

    public PushMessageContentChatSetTheme(String themeName)
    A chat theme was edited.
    Parameters:
      `themeName` - If non-empty, name of a new theme, set for the chat. Otherwise, the chat theme was reset to the default one.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PushMessageContent`
    Returns:
      this.CONSTRUCTOR